<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

/** phpcs:disable */
class CreateMetricsTable extends Migration
{
    public function up(): void
    {
        Schema::create('metrics', static function (Blueprint $table): void {
            $table->bigIncrements('id');
            $table->string('event');
            $table->unsignedMediumInteger('count')->default(0);
            $table->json('payload')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('metrics');
    }
}
