<?php

namespace Drp\Analytics\Facades;

use Drp\Analytics\Foundation\AnalyticsManager;
use Illuminate\Support\Facades\Facade;

/**
 * @method store(string $event, $payload = null): void
 * @method get(string $event, ?callable $query = null): Collection
 * @method registerHandler(string $concept, string $driver, string $handler): void
 * @method renderJs(): string
 * @see \Drp\Analytics\Foundation\AnalyticsManager
 */
class Analytics extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return AnalyticsManager::class;
    }
}
